Description

There are several issues with links and hardcoded paths in knbweb. These have been reproduced in a dev environment.
Per Matt:

4) Go to main KNB site (http:/knb.ecoinformatics.org), click on
register online link

4a) Login form shows up but is missing styles (looks like same css
problem as (1) above)

4b) Filling in my username and password results in a 404 error:

"The requested URL /register-dataset.cgi was not found on this server.
This is a bit confusing as it should get the same error as the

NCEAS skin in (2) above, so is it a different install of
register-dataset.cgi? Or is this a misconfigured login form that's
pointing to a non-existent script location? Probably the latter.

History

#1 - 03/11/2009 01:18 PM - Michael Daigle

This was found after the 1.9.0 metacat release to KNB.

#2 - 03/16/2009 01:12 PM - Michael Daigle

Two issues. KNB web was still looking for cgi in the /cgi-knb directory. Changed it to look in /knb/cgi-bin.

Knbweb was not easily installed on systems other than production because of hard-coded server values. Moved the server and context configuration
into PORTAL_SETTINGS.jsp.

#3 - 03/27/2013 02:24 PM - Redmine Admin
Original Bugzilla ID was 3882
